<?PHP
/**
* \defgroup Réglisse
* \file controler.php
* \ingroup Réglisse
* \brief vérification de validité du login
* \version  stable
* \details oriente suivant qu'il existe une base correpondant au login indique ou non 
*	l'utilisateur a tapé soit 
* \li son couple login/mot de passe
* \n on vérifie que ces informations correspondent à une base de données
* \n base existe : menu_general.php pour travail (nouvelle importation possible)
* \li un identifiant
* \n un login  unique est créé, et il fournit un mot de passe
* \n base absente : identifier_separateur.php pour créer une base de données importer
* un fichier de données.
* \n le nom de la base de données est l'identifiant.db
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="generator" content="HTML Tidy for Linux (vers 6 November 2007), see www.w3.org" />
<script type='text/javascript'>
//<![CDATA[

function suite ()
{
         var obj = document.getElementById("suivre")
        obj.click();
}
//]]>
</script>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Réglisse vérification et choix du fichier</title>
<meta name="author" content="Billard" />
<meta name="keywords" content="education, distribution of students into several classes" />
<link rel="stylesheet" type="text/css" href="styles.css" media="screen" />
<!--
	/GPL Licence - Réglisse
	
	Copyright (c) 2011, Michel Billard Sirakawa http://sibylle.ouvaton.org
 
	This file is part of Réglisse.

	Réglisse is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Date: 15 juin 2011
	Version : 1
	Author : Michel Billard Sirakawa BillardMchl (at) aol (point) com
	Information site : http://sibylle.ouvaton.org
	///////////
	
	-->
	
</head>
<?PHP
session_start();
error_reporting (0);
require ("reglisse.inc");
/** string identificateur de l'utilisateur tapé dans index.html */
$login = isset	($_POST['login'])? $_POST['login'] : $_POST['login_old'] ;
	
/** string mot de passe de la base de données tapé dans index.html */
$passe = isset	($_POST['passe'])? $_POST['passe'] : "";
	
if  ($login != "" ): // il y a un login 
	/** array
	constitution d'un login unique
	*/
	$resultat = base_existe ($login);
	/** boolean la base existe déjà ou non */
	$existe = $resultat[2];
	/** string le nom de la base créée ou de la base associée au login*/
	$nom_base = $resultat[1];
	/** string le login créé ou tapé */
	$nom_login = $resultat[0];
	
	if (!$existe): 
	// la base n'existe pas; donner le login et demander le mot de passe
		$nom_fichier_recopie = $nom_base.".csv";
		/** string $chaine la chaine contenant le menu */
		$chaine ="
		<body style = 'background-color:lavender'>".T_TITRE_1. "
		<!-- préparation du téléchargement du fichier de données-->
		<form enctype='multipart/form-data' action='identifier_separateur.php' method='post'>
			<div class= 'ligne_absolue' style = 'top:15% ; overflow:auto'>
			<input type = 'hidden' name = 'MAX_FILE_SIZE' value = '300000' />
			<div class= 'cellule'>".T_LOGIN_ATTRIBUE."
				<input type = 'text' readonly value='$nom_login' />
			</div>
			<div class= 'cellule'>".T_PASSE."
				<input type= 'text' name = 'passe' />
			</div>						
			</div>
			<div class= 'ligne_absolue' style = 'top:20%; width:98%'>			
				<div class= 'cellule'>".T_CONSIGNE_FICHIER_DONNEES."
					<input type = 'hidden' name ='base' value = '$nom_base' />
					<input type= 'file' size= '30' name = 'nom_fic' />
					<input type= 'hidden' name = 'nom_fichier_recopie' value = '$nom_fichier_recopie' /></p>
				</div>
			</div>
			<div class = 'ligne_boutons' style = 'top:35%'>
				<button type='submit'>continuer</button>
			</div>
		</form>
		<div style='position:absolute;top:93%;left:35%;border:none;font-size:8pt; text-align:center'>
		Réglisse, logiciel GPL &copy; Michel Barthélémy Billard Sirakawa 2011.  
		<a href='http://validator.w3.org/check?uri=referer'>
		<img src='http://www.w3.org/Icons/valid-xhtml10'    alt='Valid XHTML 1.0!' height='31' width='88' /></a>
		</div>
		</body>
		</html>";
	else: // il y a  déjà une base de données pour ce login
			$chaine = "	<	<body class = 'systeme' onload = 'suite ()'>".
				T_TITRE_1. "
				<form name= 'formulaire' action='menu_general.php' method='post'>
				<p>
					<input type = 'hidden' name ='base' value = '$nom_base' />
					<input type = 'hidden' name ='passe' value = '$passe' />
					<button id = 'suivre' type='submit'>continuer</button></p>
				</form>
				</div>
			</body></html>";
	endif;
$_SESSION['nom_login'] = $nom_login;
$_SESSION['passe'] = $passe;
$_SESSION['base'] = $nom_base;
else: //il n'y a pas de login
			$chaine ="
			<body style = 'background-color:lavender'>".
				T_TITRE_1. "
				<form method = 'post' action = 'index.html'>
					<div class= 'ligne_absolue' style = 'top:10% ; height:20%; overflow:auto'>
							<button type='submit'>".T_LOGIN_ABSENT."</button>
					</div>
				</form>
		</body>
	</html>";
endif;
print "$chaine";

?>
