<?PHP
/**
* \file menu_general.php
* \ingroup Réglisse
* version  stable
* \details menu général de Réglisse
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
	<META http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<title>Réglisse Menu général</title>
	<meta name="author" content="Billard" >
	<meta name ="keywords" content ="education, distribution of students into several classes">
		<LINK rel="stylesheet" href="styles.css" type="text/css">

<!--
	/GPL Licence - Réglisse
	
	Copyright (c) 2011, Michel Billard Sirakawa http://sibylle.ouvaton.org
 
	This file is part of Réglisse.

	Réglisse is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Date: 15 juin 2011
	Version : 1
	Author : Michel Billard Sirakawa BillardMchl (at) aol (point) com
	Information site : http://sibylle.ouvaton.org
	///////////
	
	-->
	
</head>

<!-- 
==========================================================================
			Création de la base de données et des tables adaptées 
-->

<body style = 'background-color:lavender'>
<?PHP



	class MyDB extends SQLite3
	{
		function __construct($base, $passe)
		{
			try 
			{
				$this->open($base, SQLITE3_OPEN_READWRITE, $passe);
			}
			catch (Exception $e)
			{
				$this->open($base, SQLITE3_OPEN_CREATE, $passe);
			}
		}
	}

	include ("reglisse.inc");
	error_reporting(0);
	/** string nom de la base de données*/
	$base = $_POST['base'];
	/** string mot de passe de la base de données */
	$passe = $_POST['passe'];
	/** objet SQLITE*/
	$db = new MyDB($base, $passe);
	$db->close();
	$db->open($base, 0666, $passe);
	
	/** string la chaine html constituant la fenetre*/	
	$chaine = "<body style = 'background-color:lavender'>
			<div class = 'ligne_absolue'  style= 'top:0%; left:0%;'>
				".T_TITRE_1."
			</div>
			
			<div class = 'ligne_absolue' 	style= 'top:15%; left:0%; border:none'>		
				<div class= 'cellule'>
					<form method ='post' action = 'repartir_avec_particularites.php'>
						<input type = 'hidden' name= 'base' value = '$base' />
						<input type = 'hidden' name= 'passe' value = '$passe' />	
						".I_NB."
						<button type = 'submit'>".T_REPARTITIONS_PARTICULARITES."</button>
					</form>
				</div>
				<div class= 'cellule'>
					<form method ='post' action = 'saisir_particularites.php'>
						<input type = 'hidden' name= 'base' value = '$base' />
						<input type = 'hidden' name= 'passe' value = '$passe' />	
						<button type = 'submit'>".T_RESAISIR_PARTICULARITES."</button>
					</form>
				</div>
				<div class= 'cellule'>
					<form method ='post' action = 'preciser_contraintes.php'>
						<input type = 'hidden' name= 'base' value = '$base' />
						<input type = 'hidden' name= 'passe' value = '$passe' />	
						<button type = 'submit'>".T_REPARTITIONS_CONTRAINTES."</button>
					</form>
				</div>
				<div class= 'cellule'>
					<form method ='post' action = 'repartition_libre.php'>
						<input type = 'hidden' name= 'base' value = '$base' />
						<input type = 'hidden' name= 'passe' value = '$passe' />	
						".I_NB."
						<button type = 'submit'>".T_REPARTITIONS_LIBRES."</button>
					</form>
				</div>			
		</div>
	$bas_de_page";
	print "$chaine";
?>
</body>
</html>