<?PHP
/**
* \file reglisse.inc
* \ingroup Réglisse
* version  stable
*/

/*======================================================================== 
* ADAPTATION POSSIBLE
*/

/** 
* \enum ORDONNER_CONTRAINTES
* bouton  avec son texte activant une fonction javascript
* utilisé dans 
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("ORDONNER_CONTRAINTES", "<button type= 'submit' onclick ='change_action(1)'>Ordonner les contraintes</button>");

/** 
* \enum I_NB 
* déclaration de input pour le nombre de classes
* utilisé dans 
* \li importer.php
*/
define ("I_NB", "<span class='item'>nombre de classes</span><input type ='text' size ='3' name = 'nb_classes'  />");

/** 
* \enum T_AFFECTATION 
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_AFFECTATION", "<span class= 'titre_5'>Choisir la filière à traiter</span>");

/** 
* \enum T_AJUSTER 
* utilisé dans 
* \li repartir_avec_contraintes.php
*/
define ("T_AJUSTER", "Intégrer les particularités");


/** 
* \enum T_AUTRE_REPARTITION
* utilisé dans
* \li repartir_avec_particularites.php
* \li repartition_libre.php
*/
define ("T_AUTRE_REPARTITION","Faire une autre répartition dans les mêmes conditions");

/** 
* \enum T_CHOIX_REPARTITION
* utilisé dans
* \li repartir_avec_contraintes.php
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_CHOIX_REPARTITION", "Choix des méthodes de répartition");

/** 
* \enum T_CLASSE 
* utilisé dans
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php
 * \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_CLASSE", "Classe: ");

/** 
* \enum T_CONSIGNE_FICHIER_DONNEES 
* utilisé dans controler.php
*/
define ("T_CONSIGNE_FICHIER_DONNEES", 
"<p>
  Il faut disposer d'un fichier de cas au format csv comportant au moins
quatre colonnes renseignées, nom, prénom, sexe, date de naissance. Délimiteur et séparateur sont libres. </p> <p>Cherchez-le en activant le bouton parcourir puis activez continuer");


/** 
* \enum T_CONSIGNE_PARTICULARITES 
* utilisé dans saisir_particularires.php
*/
define ("T_CONSIGNE_PARTICULARITES", "<p>Sélectionnez ceux pour qui
vous souhaitez préciser des rapprochements à tenter de favoriser ou d'éviter, en raison du nom, du prénom, du comportement ou de toute autre raison qui vous appartient  <b>et</b> ceux 
qui présentent une particularité imposant leur dispersion ou leur regroupement, handicaps, horaires.</p>

<ul>
<li>En vidéo inversée, ceux pour lesquels on a déjà saisi des particularités qu'on pourra modifier.</li>

	<li>Si personne ne présente de particularités, activer directement le bouton <b>Préciser les particularités</b> <i>(logique shadock qui fait activer le même bouton quand il y en a et quand il n'y en a pas.</i></li>

  <li>Si tous les individus pour lesquels on veut saisir ou modifier des particularités sont déjà sélectionnés
       cliquer <b>Préciser les particularités</b>.</li>
  <li>Si on veut supprimer toutes les particularités d'un individu déjà sélectionné
     le désélectionner par <b>CTRL Clic</b></li>
  <li>Si on veut saisir les particularités d'un nouvel individu en conservant celles déjà saisies pour d'autres  <b>CTRL Clic</b></li>
   <li> <b>Ctrl Clic</b>  sélectionne les noms un par un. Un autre <b>Ctrl Clic</b> les désélectionne</li>
  <li>Si on veut tout changer ou si aucun n'est déjà sélectionné</li>
      <ul>
          <li>Pour sélectionner plusieurs individus contigus : <b>Clic</b> sur le premier et <b>Maj Clic</b> sur le dernier</li>
          <li>Pour sélectionner plusieurs individus non contigus : <b>CTRL Clic</b> sur chacun</li>
          <li>Désélectionner un individu: <b>CTRL Clic</b></li>
      </ul>
	<li>Les choix étant faits et les choses ce que nous savons, activer le bouton <b>Préciser les particularités</b>.</li>
</ul>");

/** 
\enum T_CONSIGNE_PARTICULARITES_2 
* utilisé dans saisir_particularites_2.php
*/
define ("T_CONSIGNE_PARTICULARITES_2", "<p>Repérez dans la liste de droite 
les numéros des individus et reportez-les dans la case appropriée de la 
  liste de gauche. Cochez ou recochez si nécessaire Grouper, Disperser ou Standard dont 
la sélection automatique n'est pas toujours visible (problème de navigateur), 
mais dont le texte d'accompagnement est en gras pour le cas sélectionné.");

/**
* string
* utilisé dans identifier_separateur.php
*/
$t_consigne_delimiteur = <<<EOD
<p>Voici les solutions plausibles, dont une est sélectionnée par Reglisse.</p>
<p>Le bon choix sépare correctement les intitulés des colonnes, comme ceci <b>"Nom"||"Prénom"||</b> etc ou
<b>'Nom'||'Prénom'||</b></p>
<p>Sélectionnez la ligne correcte. Sinon ouvrez le fichier
avec un tableur, sauvegardez-le au format du tableur, 
puis au format CSV, délimiteur virgule ou point-virgule ou deux-points , et séparateur de texte <b>&quot;</b>.</p>
EOD;




/**
* \enum T_DISPERSER
* utilisé dans saisir_particularites_2.php
*/
define ("T_DISPERSER", "<span class= 'item1'>Disperser</span>");

/* 
* \enum T_EFFECTIF_CLASSE
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php

*/
DEFINE ("T_EFFECTIF_CLASSE", "Effectif: ");


/** 
* \enum T_EFFECTIF_INSUFFISANT
* utilisé dans repartition_libre.php
*/
define ("T_EFFECTIF_INSUFFISANT", 
"Nombre d'élèves inférieur au nombre de groupes demandé");

/** 
* enum T_FEMININS
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php

*/
define("T_FEMININS", "féminins");

/**
* \enum T_GROUPER
* utilisé dans saisir_particularites_2.php
*/
define ("T_GROUPER", "<span class= 'item1'>Grouper</span>");

/**
* \enum T_LIGNE_ANORMALE
* utilisé dans importer.php
*/
define ("T_LIGNE_ANORMALE", "<span class= 'erreur'>Ligne mal construite. </span>");



/**
* \enum T_LOGIN_ABSENT
* utilisé dans 
* \li controler.php
*/
define ("T_LOGIN_ABSENT", "<span class= 'erreur'>Vous devez fournir un identifiant. </span>");



/**
* \enum T_LOGIN_ATTRIBUE
* utilisé dans 
* \li controler.php
*/
define ("T_LOGIN_ATTRIBUE", "<span class= 'succes'>Voici votre identifiant:  </span>");

/** 
\enum T_MANQUE_CRITERE
* utilisé dans 
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_MANQUE_CRITERE", "Il faut au moins un critère de tri");

/** 
* \enum T_MASCULINS
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php

*/
define("T_MASCULINS", "masculins");

/** \enum T_NB */
define ("T_NB", "<button type= 'reset' style ='font-weight:bolder;background-color:lavender ; border:none' onClick= ''>nombre <br />de classes</button>");

/**
\enum T_NEUTRE 
* utilisé dans saisir_particularites_2.php
*/
define ("T_NEUTRE", "<span class= 'item1'>Standard</span>");

/** 
* \enum T_NOM_FICHIER_LISTE
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php
* \li repartir_avec_contraintes_ordonnees.php

*/
define ("T_NOM_FICHIER_LISTE", "<span class = 'item1'>Ce résultat est enregistré au format csv  
délimité par ; (point-virgule) dans ce fichier : </span>");


/** \enum T_NOMBRE_DE_CLASSES_ABSENT
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
*/
define ("T_NOMBRE_DE_CLASSES_ABSENT", "Il faut fournir un nombre de classes");

/** 
* \enum T_ORDONNER_CONTRAINTES
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_ORDONNER_CONTRAINTES", 
  " Hiérarchiser les contraintes");


/**
* \enum T_PASSE
* utilisé dans controler.php
*/
define ("T_PASSE", "<span class= 'item'>Créez-vous un mot de passe.</span>");



/** 
* \enum T_PRECISER 
* utilisé dans
* \li saisir_particularites.php
*/
define ("T_PRECISER", 
	"<button type='submit'>Préciser les particularités</button>");
  
/** 
* \enum T_PRI 
* utilisé dans
* \li ordonner_contraintes.php
*/
define ("T_PRI", "Dans les cases blanches<br> 
                    tapez des nombres différents,<br> 
                    de 1  pour le critère le plus prioritaire,<br> 
                    à 10 pour le moins prioritaire,<br>
                    pour indiquer l'ordre dans lequel <br>
                    suivant lequel se fait le tri. 
                    <p>Ne mettez rien pour ceux <br>qu'il faut ignorer.");
  
/** 
* \enum T_PROBLEME_TRANSFERT
* utilisé dans identifier_separateur.php
*/
define ("T_PROBLEME_TRANSFERT" , "Le fichier .csv n'a pu être copié. Si vous êtes déjà passé par cette page avec le même identifiant, il faut d'abord supprimer  ce fichier de données :");

/** 
* \enum T_RAPPROCHEMENTS_INDESIRABLES 
* utilisé dans saisir_particularites_2.php
*/
define ("T_RAPPROCHEMENTS_INDESIRABLES",  
  "<span class ='item1'>sans</span>");

/** 
* \enum T_RAPPROCHEMENTS_SOUHAITES 
* utilisé dans saisir_particularites_2.php
*/
define ("T_RAPPROCHEMENTS_SOUHAITES",  
  "<span class ='item1'>avec</span>");

/** 
* \enum T_RATIO_CLASSE 
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
* \li repartition_avec_contraintes_inversees.php
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_RATIO_CLASSE","Ratio m/total de la classe: ");

/** 
* \enum T_RATIO_TOTAL 
* utilisé dans 
* \li repartir_avec_particularites.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
* \li repartition_avec_contraintes_inversees.php
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_RATIO_TOTAL","Ratio m/total de la population: ");
define ("T_RAPPEL", "Rappel des choix");


/** 
* \enum T_REESSAYER
* utilisé dans identifier_separateur.php
*/
define ("T_REESSAYER", "Réessayer");


/** 
* \enum T_REPARTIR_AVEC 
* utilisé dans enregister_particularites_2.php
*/
define ("T_REPARTIR_AVEC", 
  "Créer des répartitions suivant les affinités");

/** 
* \enum T_REPARTIR_CONTRAINTES_CROISEES
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_REPARTIR_CONTRAINTES_CROISEES", 
  "Répartir sous contraintes croisées");

 
/** 
* \enum T_REPARTIR_CONTRAINTES_INVERSEES
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_REPARTIR_CONTRAINTES_INVERSEES", 
  "Répartir sous contraintes inversées"); 
  
 
/** 
* \enum T_REPARTIR_CONTRAINTES_ORDONNEES
* utilisé dans 
* \li ordonner_contraintes.php
*/
define ("T_REPARTIR_CONTRAINTES_ORDONNEES", 
  "Répartir sous contraintes ordonnées"); 
  
  
/** 
* \enum T_REPARTIR_CONTRAINTES_SIMPLES
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_REPARTIR_CONTRAINTES_SIMPLES", 
  "Répartir sous contraintes simples");
  
/** 
* \enum T_REPARTIR_JACQUARD
* utilisé dans 
* \li preciser_contraintes.php
*/
define ("T_REPARTIR_JACQUARD", 
  "Répartir par indice de Jacquard");
  
/** 
* \enum T_REPARTITIONS_CONTRAINTES
* utilisé dans importer.php
*/
define ("T_REPARTITIONS_CONTRAINTES", 
  "Répartitions par contraintes");

/** 
* \enum T_REPARTITIONS_LIBRES
* utilisé dans importer.php
*/
define ("T_REPARTITIONS_LIBRES", 
  "Répartitions ne tenant compte que du sexe");


/** 
* \enum T_REPARTITIONS_PARTICULARITES
* utilisé dans importer.php
*/
define ("T_REPARTITIONS_PARTICULARITES", "Répartitions par particularités ");

/** 
* \enum T_RESAISIR_PARTICULARITES
* utilisé dans importer.php
*/
define ("T_RESAISIR_PARTICULARITES", 
  "Définir ou modifier les particularités de certains individus ");

/** 
* \enum T_REIMPORTER 
* utilisé dans
* \li preciser_contraintes.php
*/
define ("T_REIMPORTER", 
	"Réimporter le fichier de données");

/** 
* \enum T_RETOUR_MENU 
* utilisé dans 
* \li repartir_avec_particularites.php
* \li enregister_particularites_2.php
* \li preciser_contraintes.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_RETOUR_MENU", 
  "Retour au menu principal");

/** 
* \enum T_SANS_AFFECTATION 
* utilisé dans 
* |li preciser_contraintes.php
* |li ordonner_contraintes.php
*/
define ("T_SANS_AFFECTATION", "sans");

/**
* \enum T_SEUIL_JACQUARD
* utilisé dans 
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_SEUIL_JACQUARD", "<span class = 'item1'>seuil de ressemblance</span>
  <select name = 'seuil_jacquard'> 
<option value ='1'>égalité stricte</option>
<option value ='0.8'>très forte ressemblance</option>
<option value ='0.7'>forte ressemblance</option>
<option value ='0.5'>moitié de points communs</option>
<option value ='0'>dans tous les cas</option>
</select>");

/** \enum T_TITRE_1 */
define ("T_TITRE_1", "<h1>Réglisse</h1>");

/** \enum T_TITRE_CROISEES
* utilisé dans 
* \li repartir_avec_contraintes_croisees.php
*/
define ("T_TITRE_CROISEES", "<h1>Réglisse répartition sur contraintes croisées</h1>");

/** \enum T_TITRE_ORDONNEES
* utilisé dans 
* \li repartir_avec_contraintes_ordonnees.php
*/
define ("T_TITRE_ORDONNEES", "<h1>Réglisse répartition sur contraintes hiérarchisées</h1>");

/** \enum T_TITRE_ORDONNER
* utilisé dans 
* \li ordonner_contraintes.php
*/
define ("T_TITRE_ORDONNER", "<h1>Réglisse hiérarchisation des contraintes</h1>");

/** \enum T_TITRE_SIMPLES
* utilisé dans 
* \li repartir_avec_contraintes.php
*/
define ("T_TITRE_SIMPLES", "<h1>Réglisse répartition sur contraintes simples</h1>");

/** \enum T_TITRE_INV 
* utilisé dans 
* \li repartir_avec_particularites.php
* \li enregister_particularites_2.php
* \li preciser_contraintes.php
* \li repartition_libre.php
* \li repartir_avec_contraintes.php
 * \li repartition_avec_contraintes_inversees.php
*/
define ("T_TITRE_INV", "<h1>Réglisse répartition sur contraintes inversées</h1>");


/** 
* string
* utilisé dans identifier_separateur.php
*/
$t_consigne_separateur =
<<<EOD
<p>Les intitulés sont entourés de ' ou de " ou de rien; cochez cette valeur ci-contre :
EOD;

$t_effectif =
<<<EOD
 Effectif: 
EOD;

/** 
* string
* utilisé dans identifier_separateur.php
*/
$t_expl_separateur =
<<<EOD
<p>Les tableurs ajoutent presque systématiquement un séparateur, en général la double quote.</p>
<p>Si vous vous trompez de séparateur, les éléments de vos listes seront justes, mais, au lieu 
de se présenter ainsi:
<br />Einstein Albert<br />
elles seront ainsi:<br />
"Einstein" "Albert"<br />
ou<br />
'Einstein' 'Albert'</p>
EOD;

/*
===================================================================
===================================================================
		Fin des modifications possibles
===================================================================
====================================================================
*/

/*================A laisser tel quel =======================================*/
/** 
* string bas_de_page pour faire comme tout le monde 
* ne pas supprimer, ajouter éventuellement son propre nom.
*/
$bas_de_page = "<div style='position:absolute;top:98%;left:35%;border:none;font-size:8pt; text-align:center'>
Réglisse version Sqlite 3, logiciel GPL &copy; Michel Barthélémy Billard Sirakawa  juillet 2011.</div>"; 

$bas_de_page_1 = "<div style='position:absolute;top:95%;left:25%;border:none;font-size:8pt; text-align:center'>
Réglisse version Sqlite 3, logiciel GPL &copy; Michel Barthélémy Billard Sirakawa  juillet 2011.

    <a href='http://validator.w3.org/check?uri=referer'><img
      src='http://www.w3.org/Icons/valid-xhtml10-blue' alt='Valid XHTML 1.0 Strict' height='31' width='88' /></a>
  </div>"; 

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/


/** string quote pour les délimiteurs*/
$quote = chr(39);
/** string quote double pour les délimiteurs*/
$quote_double = chr(34);
/** string tabulation pour les délimiteurs*/
$tab = chr(9);



/**
* \brief crée un nom pour le fichier de répartitions.
* se substitue à la fonction php qui crée un fichier de nom unique impossible 
* à retenir; de plus ce nom, à ma connaissance, n'a pas d'extension...
* \param $date n'importe quelle chaine, ici une partie de la date (quantieme, mois), 
* \param $type l'extension
* \param $chemin_resultat le chemin où doit se situer le fichier de résultats
* \return string nom unique de fichier commençant par liste et comportant une partie de 
* la date et un numéro d'ordre dans la date
*/
function genere_nom ($date, $type, $chemin_resultat)
{
 $chemin_resultat = "bases/";
  $i =1;
  $nom_fic = "listes_".$date."_".$i.$type;
  $nom_test = $chemin_resultat. $nom_fic;
  while (file_exists($nom_test)):
    $i++;
	  $nom_fic = "listes_".$date."_".$i.$type;
	$nom_test= $chemin_resultat."listes_".$date."_".$i.$type;
  endwhile;
return $nom_fic;

}
/** 
* \brief teste l'existence d'une base au nom du login tapé
*/
function base_existe ($login)
{
  $nom_base = $login. ".db";
  $nom_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/bases/";
  $nom_base = $nom_dir.$nom_base;
  if (file_exists($nom_base)):
    return array( $login, $nom_base, true);
  else:
    $resultat = genere_nom_base ($login);
    $login = $resultat [0];
    $base = $resultat[1];
    return array ($login, $base, false);
  endif;
}

function jacquardiser_cas($cas)
	{
		$jacquard = array();
		$jacquard[] = $cas['contrainte_1'];
		$jacquard[] = $cas['contrainte_2'];
		$jacquard[] = $cas['contrainte_3'];
		$jacquard[] = $cas['contrainte_4'];		
		$jacquard[] = $cas['contrainte_5'];
		$jacquard[] = $cas['contrainte_6'];
		$jacquard[] = $cas['contrainte_7'];
		$jacquard[] = $cas['contrainte_8'];
		$jacquard[] = $cas['contrainte_9'];
		$jacquard[] = $cas['contrainte_10'];
		return $jacquard;
	
	}
	function calculer_jacquard ($cas_1, $cas_2, $ponderer)
	{
	$m11 = 0;
	$m00=0;
	$m10=0;
	$m01=0;

	for ($i = 0; $i <=9; $i ++):
  if ($ponderer):
      $ponderation = ($i >=5)? 0.8:1.2;	
  else:
    $ponderation =1;
  endif;
		$val1 = $cas_1[$i];
		$val2 = $cas_2[$i];
		if ($val1 == $val2):
			$m11 += 1*$ponderation;
		else:
			$m01++;
			$m10++;
			$m00++;
		endif;
	endfor;
	$indice = ($m11 /($m01+$m10+$m11));
return $indice;

	}

/**
* calcule le ratio général de la population
* \param $db la variable de la classe MyDB
* \return le ratio
*/
function ratio ($db)
{
  $requete = "select count(*) from eleves";
  $resultat = $db->query($requete);
  $ligne = $resultat->fetchArray();
  $nb_total = $ligne[0];
  $requete = "select count(*) from eleves where eleve_sexe ='M'";
  $resultat = $db->query($requete);
  $ligne = $resultat->fetchArray();
  $nb_masc = $ligne[0];
  $ratio_total = round($nb_masc / $nb_total,2);
  return $ratio_total;
}


/**
* calcule le ratio de la classe
* \param $db la variable de la classe MyDB
* \param $num_classe le numéro de la	 classe
* \return le ratio et le nombre d'élèves de la classe
*/
function ratio_classe ($db, $num_classe)
{
  $requete = "select count(*) from eleves where affecte = $num_classe";
  $resultat = $db->query($requete);
  $ligne = $resultat->fetchArray();
  $nb_total = ($ligne[0] < 1) ? 0.0001: $ligne[0];
  $requete = "SELECT count(eleve_id) FROM eleves WHERE( eleve_sexe= 'M' 
  and affecte =$num_classe);";  
  $resultat = $db->query($requete);
  $ligne = $resultat->fetchArray();
  $nb_masc = $ligne[0];
  $ratio = round($nb_masc / $nb_total,2);
  return array($ratio, $nb_total);
}

/**
* \brief crée un nom de base de données à partir du login souhaité par l'utilisateur
* \param $login le login de l'utilisateur
* \return un identifiant nom de base valide unique
*/
function genere_nom_base ($login)
{
	global $chemin_resultat;
	$i =1;
	/** $nom_login string le login souhaité suivi de _ et d'un chiffre incrémenté
	*	jusqu'à être nouveau
	*/
	$nom_login = $login. "_".$i;
	/** $nom_dir string le chemin des bases de données est le sous-répertoire 
	* bases du répertoire principal de réglisse*/
	$nom_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/bases/";
	/** $nom_base string $nom_login suivi de .db	*/	
	$nom_base = $nom_login.".db";
	/** $nom_test string cehmin complet de la base de données*/
	$nom_test = $nom_dir.$nom_base;
	while (file_exists($nom_test)):
		$nom_login = $login."_".$i++;
		$nom_base = $nom_login.".db";
		$nom_test = $nom_dir.$nom_base;
	endwhile;
	return array($nom_login, $nom_test);
}




?>
