<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
	<META http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<title>Réglisse création des tables et lecture du fichier de données</title>
	<meta name="author" content="Billard" >
	<meta name ="keywords" content ="education, distribution of students into several classes">
		<LINK rel="stylesheet" href="styles.css" type="text/css">

<!--
	/////////  GPL Licence - Cohortes
	
	Copyright (c) 2011, Michel Billard Sirakawa http://sibylle.ouvaton.org
 
	This file is part of cohortes.

	Cohortes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Date: 15 juin 2011
	Version :Cohortes version 1
	Author : Michel Billard Sirakawa BillardMchl (at) aol (point) com
	Information site : http://sibylle.ouvaton.org
	///////////
	
	-->
	
</head>
<!-- Répartir avec contraintes-->
<body style = 'width:98%;background-color:lavender'>
<?PHP
include ("reglisse.inc");
error_reporting(E_ALL);
	class MyDB extends SQLite3
	{
		function __construct($base, $passe)
		{
			try 
			{
				$this->open($base, SQLITE3_OPEN_READWRITE, $passe);
			}
			catch (Exception $e)
			{
				$this->open($base, SQLITE3_OPEN_CREATE, $passe);
			}
		}
	}
	$base = $_POST['base'];
	$passe = $_POST['passe'];
	$db = new MyDB($base, $passe);
	$db->close();
	$db->open($base, 0666, $passe);

	$chaine = "<div class = 'ligne_absolue' style = 'border:none'>".T_TITRE_1."";

	$requete = "select count(eleve_id)  from `eleves`";
	$resultat = $db->query ($requete);
	$ligne = $resultat ->fetchArray(); 
	$nb_individus =$ligne[0];
	$nb_classes = isset($_POST['nb_classes'])? $_POST['nb_classes'] : 1;
	$seuil =ceil( $nb_individus / $nb_classes);
	$filiere = isset($_POST['filiere']) ? $_POST['filiere'] : "";
	$filiere = ($filiere == "sans") ?  "": $filiere;
	/** 
	* integer nombre de classes
	* \details le nombre de classesdépend d'un rapport entre l'effectif 
	* à répartir et un seuil de dédoublement variable suivant les niveaux
	* Un calcul automatique interdit les répartitions déséquilibrées, 
	* comme 35 /35 /
	*/
	date_default_timezone_set('Europe/Paris');
	$les_mois= array("","janvier", "f&eacute;vrier", "mars", "avril", "mai", "juin", "juillet", "ao&ucirc;t", "septembre", "octobre", "novembre", "d&eacute;cembre");
	$les_jours = array("dimanche", "lundi", "mardi", "mercredi","jeudi", "vendredi", "samedi");

	$mois = $les_mois[date('n')];
	$mois_n = date('m');
	$jour = $les_jours[date('w')];
	$quantieme = date('j'); 
	$annee = date('Y');;
	$la_date = $jour."_".$quantieme."_".$mois."_".$annee;
	$date_raccourcie = date('j')."_".date('n');

	/** réinitialisation de la table des affectations */
	$requete = "delete from  `affectes`; ";
	$db->exec ($requete);

	$criteres = array();
	/** 
	* comptage des élèves pour chaque contrainte
	* et constitution du tableau $criteres 
	* qui est orodonné par effectifs décroissants
	* en ignorant les critères d'effectif 0
	*/
	$rang =1;
	$effectif_min = 9999999999;
	$effectif_max =0;
	$rang_derniere_retenue = 0;
	$bascule = false;
	// pour chaque contrainte
	for ($i = 1; $i<=10; $i++):
		$nom_contrainte = "contrainte_".$i;
		$requete = "select count(eleve_id) from`eleves` where $nom_contrainte  != ''";
		$resultat = $db->query ($requete);
		$ligne = $resultat ->fetchArray();
		$effectif = $ligne[0];
		if ($effectif !=0): // effectif non nul
			$rang_derniere_retenue = ($bascule == false) ? $i : $rang_derniere_retenue;
			$critere =  "contrainte_".$i;
			/* effectif de la contrainte inférieur à l'effectif minimal 
			empilage en-dessous
			sinon empilage dessus
			*/
			if ($effectif  <= $effectif_min): 
				array_push($criteres, $critere);
				$effectif_min = $effectif;
			else:
				array_unshift($criteres, $critere);
			endif;
		else:
			$bascule= true;
		endif; 
	endfor;
	$nb_criteres = count ($criteres);

	/** construction de la requete de tri*/
	$requete = ($filiere != "") ? "select eleve_id from`eleves`  where orientation = '$filiere' order by ":
	 "select eleve_id from`eleves`  order by ";
	$rang =1;
	for ($rang=0 ; $rang < $rang_derniere_retenue; $rang ++)
	{
		$val = $criteres[$rang];
		$requete .= ($rang == 0) ? $val: ", ".$val;
	}
	for ($rang=$nb_criteres ; $rang > $rang_derniere_retenue; $rang --)
	{
		$requete .=  ", ".$val;
	}
	$resultat = $db->query ($requete);
	$numero_classe = 1;
	$effectif_classe = 0;
	
	/* On dispose de la liste des élèves classés par contraintes
	de la moins fréquentée à la plus fréquentée
	*/
	while ($ligne = $resultat->fetchArray()):
		$id = $ligne ['eleve_id'];
		if ($effectif_classe >=$seuil):
			$numero_classe ++;
			$effectif_classe=0;
		else:
			$effectif_classe ++;
		endif;
		$requete = "insert into `affectes` (eleve_id, classe_id) values ($id, $numero_classe)";
		$db->exec ($requete);
	endwhile;

	$nom_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/bases/";
	$nom_fichier_liste = genere_nom ($date_raccourcie, ".csv", $nom_dir);
	$nom_fichier_liste = "bases/".$nom_fichier_liste;
	$ressource_fic = fopen($nom_fichier_liste, "wb");
	if (!$ressource_fic):
		$message = identifier_erreur_sortie ($chemin_resultat);
	else:
		$message = T_NOM_FICHIER_LISTE."<b>$nom_fichier_liste</b>";
	endif;
	$ratio_global = ratio ($db);
	$chaine_csv = "$la_date";
	$chaine = "<div class= 'ligne_absolue' style='top:8%; height:15%; border:none;overflow:hidden'>";
	$chaine .= "<p>$la_date </p><p>".T_NOM_FICHIER_LISTE."<a href ='$nom_fichier_liste'>$nom_fichier_liste</a></p></div>
	<div class= 'ligne_absolue' style='top:20%; height:70%; font-size:10pt; border:solid thin black;overflow:scroll'>";
	for ($i = 1; $i <= $nb_classes; $i ++):
		$chiffres = ratio_classe($db, $i);
		$effectif_classe = $chiffres[1];
		$ratio_classe = $chiffres[0];	
		$chaine .= "<p>".T_CLASSE.$i." ".$effectif_classe ." ".T_RATIO_TOTAL.$ratio_global ." ".T_RATIO_CLASSE.$ratio_classe    ;
		$chaine_csv .= "\n\n".	T_CLASSE. $i. " ".$effectif_classe." \n";
		$requete = "
		select * from `affectes` as a,`eleves` as e  
		where (classe_id=$i and a.eleve_id = e.eleve_id) order by e.eleve_nom";
		$resultat1 = $db->query ($requete);
		$num_eleve =1;
		while ($ligne = $resultat1->fetchArray()):
			$eleve_nom = $ligne['eleve_nom'];
			$eleve_prenom = $ligne['eleve_prenom'];
			$eleve_sexe = $ligne['eleve_sexe'];
			$eleve_naissance = $ligne['naissance'];
			$choix_1 =$ligne['contrainte_1'];
			$choix_2 =$ligne['contrainte_2'];
			$choix_3 =$ligne['contrainte_3'];
			$choix_4 =$ligne['contrainte_4'];
			$choix_5 =$ligne['contrainte_5'];
			$choix_6 =$ligne['contrainte_6'];
			$choix_7 =$ligne['contrainte_7'];
			$choix_8 =$ligne['contrainte_8'];
			$choix_9 =$ligne['contrainte_9'];		
			$choix_10 =$ligne['contrainte_10'];
			$chaine .= "<br>$num_eleve: $eleve_nom $eleve_prenom $eleve_sexe $eleve_naissance \t $choix_1 $choix_2 $choix_3 $choix_4 $choix_5 $choix_6 $choix_7 $choix_8 $choix_9 $choix_10"; 
			$chaine_csv .=html_entity_decode("$num_eleve; $eleve_nom; $eleve_prenom; $eleve_sexe; $eleve_naissance;$choix_1;$choix_2;$choix_3;$choix_4;$choix_5; $choix_6;$choix_7;$choix_8; $choix_9; $choix_10",ENT_QUOTES, "UTF-8")."\n"; 
			$num_eleve++;
		endwhile;
	endfor;
	fputs ($ressource_fic, $chaine_csv);
fclose($ressource_fic);
print T_TITRE_CROISEES."$chaine </div>
<div class= 'ligne_boutons' style='top:93%; height:17%; font-size:10pt; border:solid thin black;overflow:scroll'>
	<div class = 'cellule' >
		<form method ='post' action ='menu_general.php'>
			<input type = 'hidden' name= 'base' value ='$base' />
			<input type = 'hidden' name= 'passe' value ='$passe' />
			<button type= 'submit'>".T_RETOUR_MENU."</button>
		</form>
	</div>
<div class = 'cellule' >
		<form method ='post' action = 'preciser_contraintes.php'>
		<input type = 'hidden' name= 'base' value ='$base' />
		<input type = 'hidden' name= 'passe' value ='$passe' />
		<input type = 'hidden' name ='seuil' value = '$seuil'>
		<input type = 'hidden' name ='filiere' value = '$filiere'>
		<button type = 'submit'>".	T_CHOIX_REPARTITION."</button>
		</form>
	</div>
</div>
	
	".

$bas_de_page
?>

</body>
</html>
