<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
	<META http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<title>Réglisse répartition sur contraintes ordonnées</title>
	<meta name="author" content="Billard" >
	<meta name ="keywords" content ="education, distribution of students into several classes">
		<LINK rel="stylesheet" href="styles.css" type="text/css">
<!--
	/////////  GPL Licence - Cohortes
	
	Copyright (c) 2011, Michel Billard Sirakawa http://sibylle.ouvaton.org
 
	This file is part of cohortes.

	Cohortes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Date: 15 juin 2011
	Version :Cohortes version 1
	Author : Michel Billard Sirakawa BillardMchl (at) aol (point) com
	Information site : http://sibylle.ouvaton.org
	///////////
	
	-->
	
</head>
<!-- Répartir avec contraintes-->
<body style = 'width:98%;background-color:lavender'>
<?PHP
	include ("reglisse.inc");
	error_reporting(E_ALL);
	class MyDB extends SQLite3
	{
		function __construct($base, $passe)
		{
			try 
			{
				$this->open($base,	 SQLITE3_OPEN_READWRITE, $passe);
			}
			catch (Exception $e)
			{
				$this->open($base, SQLITE3_OPEN_CREATE, $passe);
			}
		}
	}
	$nb_classes = isset($_POST['nb_classes'] ) ? $_POST['nb_classes']  : "";
	$base = $_POST['base'];
	$passe = $_POST['passe'];	
	$filiere = $_POST['filiere'];
	$filiere = ($filiere == "sans") ?  "": $filiere;

	$db = new MyDB($base, $passe);
	$db->close();
	$db->open($base, 0666, $passe);
	
	$chaine = "<div class = 'ligne_absolue' style = 'border:none'>".T_TITRE_1."";

	/** traitement des criteres de tri */
	$p_criteres = $_POST['rang_contrainte'];
	$criteres = array();
	$rang = 1;
	for ($i = 1; $i <=10; $i++):
		$val = $p_criteres[$i];
		if ( ($val != 0)and ($val != "") and (in_array($val, $criteres) == false)):
			$criteres[$rang] = $val;
		endif;
		$rang++;
	endfor;
	asort($criteres);
	$criteres = array_flip($criteres);
	$nb_criteres = count ($criteres);
	if ($nb_criteres == 0):
		print "<body>
					<form method = 'post' action = 'ordonner_contraintes.php'>
						<input type = 'hidden' name ='base'value ='$base' />
						<input type = 'hidden' name ='passe'value ='$passe' />		
						<input type='hidden' name='filiere' value='$filiere' />".
							T_MANQUE_CRITERE.B_ORDONNER_CONTRAINTES."
					</form>
			</body>";
		exit;
	endif;

	/** 
	* integer nombre de classes
	* \details le nombre de classesdépend d'un rapport entre l'effectif 
	* à répartir et un seuil de dédoublement variable suivant les niveaux
	* Un calcul automatique interdit les répartitions déséquilibrées, 
	* comme 35 /35 /
	*/
	$requete = "select count (`eleve_id`) from`eleves`";
	$resultat = $db->query($requete);
	$ligne = $resultat->fetchArray();
	$nb_individus = $ligne[0];
	$nb_classes = isset($_POST['nb_classes']) ? $_POST['nb_classes'] : 1;
	$seuil = ceil ($nb_individus / $nb_classes);
		
	date_default_timezone_set('Europe/Paris');
	$les_mois= array("","janvier", "f&eacute;vrier", "mars", "avril", "mai", "juin", "juillet", "ao&ucirc;t", "septembre", "octobre", "novembre", "d&eacute;cembre");
	$les_jours = array("dimanche", "lundi", "mardi", "mercredi","jeudi", "vendredi", "samedi");
	$mois = $les_mois[date('n')];
	$mois_n = date('m');
	$jour = $les_jours[date('w')];
	$quantieme = date('j'); 
	$annee = date('Y');;
	$la_date = $jour."_".$quantieme."_".$mois."_".$annee;
	$date_raccourcie = date('j')."_".date('n');

	/** réinitialisation de la table des affectations */
	$requete = "delete from  `affectes`; ";
	$db->exec ($requete);
	
	/** construction de la requete de tri*/
	$requete ="select eleve_id from`eleves`  where orientation = '$filiere' order by ";
	$rang =1;
	foreach ($criteres as $critere)
	{
		$val ="";
		if ($critere != ""):
			if ($rang == 1):
				$val = "contrainte_".$critere;
			else:
				$val = ", contrainte_".$critere;	
			endif;
			$requete .= $val;
			$rang ++;
		endif;
	}
	/** consultation de la table des élèves*/
	$resultat = $db->query ($requete);
	$numero_classe = 1;
	$effectif_classe = 0;
	while ($ligne = $resultat->fetchArray()):
		$id = $ligne ['eleve_id'];
		if ($effectif_classe >=$seuil):
			$numero_classe ++;
			$effectif_classe=0;
		else:
			$effectif_classe ++;
		endif;
		$requete = "insert into `affectes` (eleve_id, classe_id) values ($id, $numero_classe)";
		$db->exec ($requete);
	endwhile;
	$ratio_global = ratio ($db);
	$nom_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/bases/";
	$nom_fichier_liste = genere_nom ($date_raccourcie, ".csv", $nom_dir);
	$nom_fichier_liste = "bases/".$nom_fichier_liste;
	$chaine_csv = "$la_date";
	$chaine = "<div class= 'ligne_absolue' style='top:10%; height:15%; border:none;overflow:hidden'>";
	$chaine .= "<p>$la_date <br>".T_NOM_FICHIER_LISTE."<b>$nom_fichier_liste</b></div>
	<div class= 'ligne_absolue' style='top:23%; height:60%; font-size:10pt; border:solid thin black;overflow:scroll'>";
	for ($i = 1; $i <= $nb_classes; $i ++):
		$chiffres = ratio_classe($db, $i);
		$effectif_classe = $chiffres[1];
		$ratio_classe = $chiffres[0];	
		$chaine .= "<p>".T_CLASSE.$i." ".$effectif_classe ." ".T_RATIO_TOTAL.$ratio_global ." ".T_RATIO_CLASSE.$ratio_classe    ;
		$chaine_csv .= "\n\n".	T_CLASSE. $i. " ".$effectif_classe." \n";
		$requete = "
			select * from `affectes` as a,`eleves` as e  
			where (classe_id=$i and a.eleve_id = e.eleve_id) order by e.eleve_nom";
		$resultat = $db->query ($requete);
		$num_eleve =1;
		while ($ligne = $resultat->fetchArray()):
			$eleve_nom = $ligne['eleve_nom'];
			$eleve_sexe = $ligne['eleve_sexe'];
			$eleve_naissance = $ligne['naissance'];
			$choix_1 =$ligne['contrainte_1'];
			$choix_2 =$ligne['contrainte_2'];
			$choix_3 =$ligne['contrainte_3'];
			$choix_4 =$ligne['contrainte_4'];
			$choix_5 =$ligne['contrainte_5'];
			$choix_6 =$ligne['contrainte_6'];
			$choix_7 =$ligne['contrainte_7'];
			$choix_8 =$ligne['contrainte_8'];
			$choix_9 =$ligne['contrainte_9'];		
			$choix_10 =$ligne['contrainte_10'];
			$chaine .= "<br>$num_eleve: $eleve_nom $eleve_sexe $eleve_naissance \t $choix_1 $choix_2 $choix_3 $choix_4 $choix_5 $choix_6 $choix_7 $choix_8 $choix_9 $choix_10"; 
			$chaine_csv .=html_entity_decode("$num_eleve; $eleve_nom; $eleve_sexe; $eleve_naissance; $choix_1;$choix_2; $choix_3",ENT_QUOTES, "UTF-8")."\n"; 
			$num_eleve++;
		endwhile;
	endfor;
	$fic = fopen ($nom_fichier_liste, "wb");
	fputs($fic, $chaine_csv);
	fclose($fic);
	print T_TITRE_ORDONNEES."$chaine </div>
	<div class= 'ligne_boutons' style='top:90%;'>
	<div class = 'cellule' >
		<form method ='post' action ='menu_general.php'>
			<input type = 'hidden' name= 'base' value ='$base' />
			<input type = 'hidden' name= 'passe' value ='$passe' />
			<button type = 'submit'>".	T_RETOUR_MENU."</button>
		</form>
	</div>
	
	<div class = 'cellule'>
		<form method ='post' action = 'preciser_contraintes.php'>
			<input type = 'hidden' name= 'base' value ='$base' />
			<input type = 'hidden' name= 'passe' value ='$passe' />
			<input type = 'hidden' name ='seuil' value = '$seuil'>
			<input type = 'hidden' name ='filiere' value = '$filiere'>
			<button type = 'submit'>".	T_CHOIX_REPARTITION."</button>
		</form>
	</div>

</div>
	$bas_de_page";
?>

</body>
</html>
