<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
<head>
	<META http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<title>Réglisse Jacquard</title>
	<meta name="author" content="Billard" >
	<meta name ="keywords" content ="education, distribution of students into several classes">
		<LINK rel="stylesheet" href="styles.css" type="text/css">
<!--
/////////  GPL Licence - Cohortes
	
	Copyright (c) 2011, Michel Billard Sirakawa http://sibylle.ouvaton.org
 
	This file is part of cohortes.

	Cohortes is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Date: 15 juin 2011
	Version :Cohortes version 1
	Author : Michel Billard Sirakawa BillardMchl (at) aol (point) com
	Information site : http://sibylle.ouvaton.org
	///////////
	
	-->
	
</head>
<!-- Répartir avec contraintes-->
<body style = 'width:98%;background-color:lavender'>
<?PHP
	include ("reglisse.inc");
	function cmp($a, $b)
	{
		return ($a['indice'] < $b['indice']);
	}
	

class MyDB extends SQLite3
{
	function __construct($base, $passe)
	{
		try 
		{
			$this->open($base, SQLITE3_OPEN_READWRITE, $passe);
		}
		catch (Exception $e)
		{
			$this->open($base, SQLITE3_OPEN_CREATE, $passe);
		}
	}
}
	$base = $_POST['base'];
	$passe = $_POST['passe'];
	$db = new MyDB($base, $passe);
	$db->close();
	$db->open($base, 0666, $passe);
	
	$contraintes = array();
	for ($i = 1; $i <=10; $i++)
	{
		$nom_contrainte = "contrainte_".$i;
		$requete = "select $nom_contrainte from `eleves`  group by $nom_contrainte";
		$resultat = $db->query ($requete);
		$indice = 1;
		while ($ligne = $resultat->fetchArray()):
			$intitule = $ligne['0'];
			$contraintes[$i][$indice]['code']= ($intitule != "") ? ($i*100)+$indice : 0;
			$contraintes[$i][$indice++]['nom']= $intitule;
		endwhile;
	}
	$filiere = "";
	//print_r($contraintes); die();
	$eleves = array();
	$requete = "select contrainte_1, contrainte_2, contrainte_3, contrainte_4, contrainte_5,
		contrainte_6,contrainte_7,contrainte_8,contrainte_9,contrainte_10
		from `eleves`  where orientation = '$filiere'";
	$resultat = $db->query ($requete);
	while ($ligne = $resultat->fetchArray()):
		for ($i = 0; $i <10; $i++)
		{
			//print_r($contraintes[$i+1]);
			$trouve = false;
			$j = 1;
			$contrainte = $ligne[$i];
			$code = 0;
			while ($trouve == false):
				if ($contraintes[$i+1][$j]['nom'] == $contrainte)
				{
					$trouve = true;
					$code = $contraintes[$i+1][$j]['code'] ;
				}
				$j++;
			endwhile;
			print "code $code<br>";
		}
	endwhile;
	
die();
$nom_dir = dirname($_SERVER['SCRIPT_FILENAME'])."/bases/";
$nom_fichier_liste = genere_nom ($date_raccourcie, ".csv", $nom_dir);
$nom_fichier_liste = "bases/".$nom_fichier_liste;
$ressource_fic = fopen ($nom_fichier_liste, "wb");
if (!$ressource_fic):
	$message = identifier_erreur_sortie ($chemin_resultat);
else:
	$message = T_NOM_FICHIER_LISTE."<b>$nom_fichier_liste</b>";
endif;
$chaine_csv = "$la_date";
$chaine = "<div class= 'ligne_absolue' style='top:8%; height:15%; border:none;overflow:hidden'>";
$chaine .= "<p>$la_date </p><p>".T_NOM_FICHIER_LISTE."<a href ='$nom_fichier_liste'>$nom_fichier_liste</a></p></div>
<div class= 'ligne_absolue' style='top:20%; height:70%; font-size:10pt; border:solid thin black;overflow:scroll'>";
for ($i = 1; $i <= $nb_classes; $i ++):
	$requete = "select count(eleve_id) from `affectes` where classe_id = $i";
	$resultat = $db->query ($requete);
	$ligne = $resultat ->fetchArray(); 
	$effectif_classe = $ligne[0];
	$chaine .= "<p>".T_CLASSE.$i." ".$effectif_classe;
	$chaine_csv .= "\n\n".	T_CLASSE. $i. " ".$effectif_classe." \n";
	$requete = "
		select * from `affectes` as a, `eleves` as e  
		where (classe_id=$i and a.eleve_id = e.eleve_id) order by e.eleve_nom";
	$resultat = $db->query ($requete);
	$num_eleve =1;
	while ($ligne = $resultat->fetchArray()):
		$eleve_nom = $ligne['eleve_nom'];
		$eleve_prenom = $ligne['eleve_prenom'];
		
		$eleve_sexe = $ligne['eleve_sexe'];
		$eleve_naissance = $ligne['naissance'];
		$choix_1 =$ligne['contrainte_1'];
		$choix_2 =$ligne['contrainte_2'];
		$choix_3 =$ligne['contrainte_3'];
		$choix_4 =$ligne['contrainte_4'];
		$choix_5 =$ligne['contrainte_5'];
		$choix_6 =$ligne['contrainte_6'];
		$choix_7 =$ligne['contrainte_7'];
		$choix_8 =$ligne['contrainte_8'];
		$choix_9 =$ligne['contrainte_9'];		
			$choix_10 =$ligne['contrainte_10'];
		$chaine .= "<br>$num_eleve: $eleve_nom $eleve_prenom $eleve_sexe $eleve_naissance \t $choix_1 $choix_2 $choix_3 $choix_4 $choix_5 $choix_6 $choix_7 $choix_8 $choix_9 $choix_10"; 
		$chaine_csv .=html_entity_decode("$num_eleve; $eleve_nom; $eleve_prenom; $eleve_sexe; $eleve_naissance;$choix_1;$choix_2;$choix_3;$choix_4;$choix_5; $choix_6;$choix_7;$choix_8; $choix_9; $choix_10",ENT_QUOTES, "UTF-8")."\n"; 
		$num_eleve++;
	endwhile;
endfor;
fputs ($ressource_fic, $chaine_csv);
fclose($ressource_fic);
print T_TITRE_1."$chaine </div>
<div class= 'ligne_boutons' style='top:90%;'>
	<div class = 'cellule' >
		<form method ='post' action ='menu_general.php'>
			<input type = 'hidden' name= 'base' value ='$base' />
		<input type = 'hidden' name= 'passe' value ='$passe' />
		".
			B_RETOUR_MENU."
		</form>
	</div>
	<div class = 'cellule'>
		<form method ='post' action = 'preciser_contraintes.php'>
		<input type = 'hidden' name= 'base' value ='$base' />
		<input type = 'hidden' name= 'passe' value ='$passe' />
		<input type = 'hidden' name ='seuil' value = '$seuil'>
		<input type = 'hidden' name ='filiere' value = '$filiere'>
		<button type = 'submit'>".	T_CHOIX_REPARTITION."</button>
		</form>
	</div>

</div>".

$bas_de_page
?>

</body>
</html>
